import es
import playerlib
import popuplib
import random

import psyco
psyco.full()

info = es.AddonInfo()
info.name = 'Disguise Mod'
info.version = '2.1'
info.url = 'N/A'
info.basename = 'disguisemod'
info.author = 'Monolith'

def load():
    es.regsaycmd('!buydisguise', 'disguisemod/buydisguise')
    es.set('disguisemod_version', info.version)
    es.setInt('disguisemod_price', 12500)
    es.makepublic('disguisemod_version')

def unload():
    es.unregsaycmd('!buydisguise')

def player_activate(event_var):
    es.tell(event_var['userid'], '#multi', '#lightgreenSay #green!buydisguise#lightgreen to purchase a disguise for #green$%i' % es.getInt('disguisemod_price'))

def buydisguise():
    userid = es.getcmduserid()
    player = playerlib.getPlayer(userid)
    teamid = player.get('teamid')
    if player.get('isdead'):
        es.tell(userid, '#lightgreen', 'You cannot purchase a disguise while dead or spectating')
        return
    if es.getInt('disguisemod_price') > player.get('cash'):
        es.tell(userid, '#multi', '#lightgreenInsufficient funds (you need #green$%i#lightgreen)' % es.getInt('disguisemod_price'))
        return
    if teamid == 2:
        popuplib.quicksend(0, userid, '->1. Seal Team 6\n->2. GSG-9\n->3. SAS\n->4. GIGN\n \n->5. Random\n0. Exit', 'disguisemod/menuselect')
    elif teamid == 3:
        popuplib.quicksend(0, userid, '->1. Phoenix Connexion\n->2. Elite Crew\n->3. Arctic Avengers\n->4. Guerilla Warfare\n \n->5. Random\n0. Exit', 'disguisemod/menuselect')

def menuselect():
    userid = es.getcmduserid()
    player = playerlib.getPlayer(userid)
    teamid = player.get('teamid')
    popupchoice = es.getInt('_popup_choice')
    if popupchoice == 0:
        return
    if teamid == 2:
        ctmodel = { popupchoice == 1: 'urban',
                    popupchoice == 2: 'gsg9',
                    popupchoice == 3: 'sas',
                    popupchoice == 4: 'gign',
                    popupchoice == 5: random.choice(['urban', 'gsg9', 'sas', 'gign']) } [1]
        player.set('model', 'models/player/ct_%s.mdl' % ctmodel)
    elif teamid == 3:
        tmodel = { popupchoice == 1: 'phoenix',
                   popupchoice == 2: 'leet',
                   popupchoice == 3: 'arctic',
                   popupchoice == 4: 'guerilla',
                   popupchoice == 5: random.choice(['phoenix', 'leet', 'arctic', 'guerilla']) } [1]
        player.set('model', 'models/player/t_%s.mdl' % tmodel)
    player.set('cash', player.get('cash') - es.getInt('disguisemod_price'))
    es.tell(userid, '#lightgreen', 'You are now disguised for the rest of the round')